Archived

This topic is now archived and is closed to further replies.

Guest flightsimmernick

Driver Update for New Sim

Recommended Posts

Hi all, I wonder if anyone can help me. My dad has just bought a new simulator for simmin'g model aircraft as he has a model aircraft and wants to practice flying it.He has tried loading it onto is PC (quite an old machine) and from what I can make out it looks like the graphic drivers need to be updated. But I

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hello Nick,What gives you the impression that it might be the driver? All said it is a very dated GPU, and if I'm not mistaken the last driver update for those range of cards is way back round 2001.Can you explain in a bit more detail what exactly the problem is?.Regards,

Share this post


Link to post
Share on other sites

Hi Davis,How are you? Hope all is well, Basically the sim will not work on the PC there is an error message to say that something cant intialise becasue of something graphics based (sorry cant remember exactly - not at home at the mo). I have tried it on newer PC's and there does not seem to be a problem, my Dad is keen to have the sim working on his own PC so he can have more access to it. However as you say and I also thought that because the GPU and the system is quite old now not sure that this sim will work on it. When loaded on to a pretty much brand new PC its quite impresive and the graphics quality is very good (photo-realistic) so again as I said I would be surprised if the PC can handle the software, but just wondered if anyone could offer a secon opinion as not sure when it comes to AMD based systems (well enough to know that this PC is too old now)! All the best, Nick

Share this post


Link to post
Share on other sites

A little more info now...The sim he has bought is Phoenix R/C and is for learning how to control remote control aircraft. Have installed on the computer and cannot load the software and displays the following error message:Error initialising graphics hardware - please check that you graphics card is above the minimum specifications and you have downloaded and installed the very latest version of your graphics drivers. The min graphics card it says that is required is a GF 4200/ATI9800 with 64MB memory.Not knowing much about the graphics card in this PC but I presume that the graphics card is the problem and is below the minimum sys requirements?My Dad has also been on to the shop (he is not the sharpest tool in the shed when it comes to PC's, let alone anything else) and the guy there seems to think that it is a Direct X problem (It says that v9 is required). I have been onto dxdiag and seen that this PC has version 9.0c installed so cant see that is a problem, which leads me back again to thinking that the video card is too inadequate too handle what is required. Sorry did not make it to clear about the drivers at the top - it appears that we have the last driver installed and that is not a problem would just appear that the graphics card is not up to the standard but as I said not gen'ed up when it comes to AMD based systems and have no idea with this card?

Share this post


Link to post
Share on other sites